# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'glottis/version'

Gem::Specification.new do |spec|
  spec.name          = 'glottis'
  spec.version       = Glottis::VERSION
  spec.authors       = ['Max DeLiso']
  spec.email         = ['maxdeliso@gmail.com']
  spec.licenses      = ['MIT']
  spec.summary       = 'simple http messaging client'
  spec.homepage      = 'https://github.com/maxdeliso/glottis'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end

  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'rb-readline', '~> 0.5.3'
  spec.add_runtime_dependency 'slop', '~> 4.2'

  spec.add_development_dependency 'bundler', '~> 1.10'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rubocop', '~> 0.37.2'
end
